## org.junit.runner.manipulation
Class InvalidOrderingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.junit.runner.manipulation.InvalidOrderingException

All Implemented Interfaces:
  Serializable

    public class InvalidOrderingException

extends Exception

Thrown when an ordering does something invalid (like remove or add children)

Since:
  4.13
See Also:
  Serialized Form

Constructor Summary
`InvalidOrderingException()`
`InvalidOrderingException(String message)`
`InvalidOrderingException(String message, Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidOrderingException

    public InvalidOrderingException()

### InvalidOrderingException

    public InvalidOrderingException(String message)

### InvalidOrderingException

    public InvalidOrderingException(String message,
                                    Throwable cause)

Copyright © 2002–2020 JUnit. All rights reserved.